lp:debian/stretch/rkward

Created by Ubuntu Package Importer on 2015-05-27 and last modified on 2015-05-27
Get this branch:
bzr branch lp:debian/stretch/rkward
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

25. By Thomas Friedrichsmeier on 2014-10-17

bump standards version to 3.9.6 (no changes needed)

24. By Thomas Friedrichsmeier on 2014-10-16

* new upstream release
* avoid duplicate cmake run during build
* upstream increased lowest supported R version to 2.8.0
* bump standards version to 3.9.4 (no changes needed)

23. By Thomas Friedrichsmeier on 2013-05-07

* upstream release 0.6.1-rc1 was made available as 0.6.1 without changes
* new upload to build against R 3.0.0 on most architectures
* when built against r-base-core >= 3.0.0, depend on r-base-core <= 3.0.0

22. By Thomas Friedrichsmeier on 2013-03-28

* new upstream release
* re-add Vcs-Browser field
* fix year in changelog (previous upload had 2012 instead of 2013)
* add runtime dependency on r-base-core < 3.0.0 unless compiled with >= 3.0.0

21. By Thomas Friedrichsmeier on 2012-01-15

* correctly treat -pre releases in debian/watch (thanks to Bart Martens)
* remove obsolete DM-Upload-Allowed field
* update Vcs-Svn field to changed repository URL
* remove Vcs-Browser field, as there is no useful repository browser, ATM

20. By Thomas Friedrichsmeier on 2012-11-24

* make sure to include CPPFLAGS and LDFLAGS in call to cmake
* correct path to qwinhost files in debian/copyright
* correct syntax in debian/copyright (thanks to Laszlo Kajan)

19. By Thomas Friedrichsmeier on 2012-10-24

* new upstream release
* remove support for building on Ubuntu hardy
* more accurate copyright file
  closes: #689982
* bump standards version to 3.9.4 (no changes needed)
* Add Vcs-Browser and Vcs-Svn fields

18. By Thomas Friedrichsmeier on 2011-10-25

* new upload to force rebuild against R 2.14.0~x on i386
  closes: #646047 (failure to load rkward package)
* add dependency on r-base-core < 2.14 if built against R < 2.14.0

17. By Thomas Friedrichsmeier on 2011-10-23

* new upstream release
* provide build-arch and build-indep targets
* include buildflags as instructed by the dpkg developers

16. By Thomas Friedrichsmeier on 2011-05-30

* new upstream release
* remove empty directory removal rkwardtests/inst. Now fixed upstream.
* remove man page links to rkward.bin and rkward.rbackend. These
  auxiliary binaries are no longer installed in the system path.
* remove debian man page. Man page is now supplied upstream.
* drop explicit dependency on libphonon-dev.
* fix lintian warning "description-synopsis-starts-with-article"
* bump standards version to 3.9.2 (no changes needed)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:debian/rkward
This branch contains Public information 
Everyone can see this information.

Subscribers